#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m,d,u,l,r,x,br;
    vector<pair<int,int>> vage;
    vector<touple<int,int,int>> pitanja;
    cin>>n>>m;
    vage.resize(n);
    pitanja.resize(m);
    for(int i=0;i<n;i++){
        cin>>d>>u;
        vage[i]=make_pair(d,u);
    }
    for(int i=0;i<m;i++){
        cin>>l>>r>>x;
        pitanja[i]=make_touple(l,r,x);
    }
    for(int i=0;i<m;i++){
        l=get<0>(pitanja[i]);
        d=get<1>(pitanja[i]);
        x=get<2>(pitanja[i]);
        br=0;
        for(int j=l;j<=d;j++){
            if(vage[j].first<=x && vage[j].second>=x){
                br++;
            }
        }
        cout<<br<<endl;
    }